create table smtp_configs(
     channel_id NUMBER(19) not null references channels(id),
     addr varchar2(225) default '' not null,
     port number(5) default 0 not null,
     login varchar2(225) default '' not null,
     password varchar2(225) default '' not null,
     send_from varchar(225)  default '' not nulL,
     start_tls_type varchar2(225) default 'opportunistic' not null,
     insecure_skip_verify NUMBER(1) default 0 not null,
     tls_server_name varchar2(225) default '',
     public_key_path varchar2(225) default '',
     private_key_path varchar2(225) default '',
    enable_ssl NUMBER(1) DEFAULT 0 not null,
     send_bulk_timeout number(10) default 0 not null
);

create table imap_configs(
    channel_id NUMBER(19) not null references channels(id),
    addr varchar2(225) default '' NOT NULL ,
    port NUMBER(5) default 0 NOT NULL ,
    login varchar2(225) default '',
    password varchar2(225) default '',
    start_tls_type varchar2(225) default 'opportunistic' NOT NULL ,
    insecure_skip_verify NUMBER(1) default 0 NOT NULL ,
    tls_server_name varchar2(225) default '',
    public_key_path varchar2(225) default '',
    private_key_path varchar2(225) default '',
    delete_after number(1) default 0 not null
);
